Linux premium180.web-hosting.com 4.18.0-553.54.1.lve.el8.x86_64 #1 SMP Wed Jun 4 13:01:13 UTC 2025 x86_64
LiteSpeed
: 162.0.209.168 | : 216.73.216.208
Cant Read [ /etc/named.conf ]
8.3.30
nortrmdp
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
BLACK DEFEND!
README
+ Create Folder
+ Create File
/
lib /
node_modules /
npm /
node_modules /
libnpx /
[ HOME SHELL ]
Name
Size
Permission
Action
locales
[ DIR ]
drwxr-xr-x
CHANGELOG.md
27.48
KB
-rw-r--r--
LICENSE.md
755
B
-rw-r--r--
README.md
6.31
KB
-rw-r--r--
auto-fallback.js
1.51
KB
-rw-r--r--
child.js
2.2
KB
-rw-r--r--
get-prefix.js
1.23
KB
-rw-r--r--
index.js
12.62
KB
-rw-r--r--
libnpx.1
6.7
KB
-rw-r--r--
package.json
2.59
KB
-rw-r--r--
parse-args.js
7.1
KB
-rw-r--r--
util.js
390
B
-rw-r--r--
y.js
490
B
-rw-r--r--
Delete
Unzip
Zip
${this.title}
Close
Code Editor : auto-fallback.js
'use strict' const Y = require('./y.js') function mkPosix (opts) { return ` command_not_found_${opts.isBash ? 'handle' : 'handler'}() { # Do not run within a pipe if test ! -t 1; then >&2 echo "${Y`command not found: ${'$1'}`}" return 127 fi if which npx > /dev/null; then echo "${Y`${'$1'} not found. Trying with npx...`}" >&2 else return 127 fi if ! [[ $1 =~ @ ]]; then npx --no-install "$@" else npx "$@" fi return $? }` } function mkFish (opts) { return ` function __fish_command_not_found_on_interactive --on-event fish_prompt functions --erase __fish_command_not_found_handler functions --erase __fish_command_not_found_setup function __fish_command_not_found_handler --on-event fish_command_not_found if which npx > /dev/null echo "${Y`${'$argv[1]'} not found. Trying with npx...`}" >&2 else return 127 end if string match -q -r @ $argv[1] npx $argv else npx --no-install $argv end end functions --erase __fish_command_not_found_on_interactive end` } module.exports = autoFallback function autoFallback (shell, fromEnv, opts) { if (shell.includes('bash')) { return mkPosix({isBash: true, install: opts.install}) } if (shell.includes('zsh')) { return mkPosix({isBash: false, install: opts.install}) } if (shell.includes('fish')) { return mkFish(opts) } if (fromEnv) { return autoFallback(fromEnv, null, opts) } console.error(Y`Only Bash, Zsh, and Fish shells are supported :(`) }
Close